System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Discovery.DiscoveryReference System.Xml.Serialization.XmlRoot("contractRef", Namespace="http://schemas.xmlsoap.org/disco/scl/", IsNullable=true)

XML Web services discovery involves discovering the available Web Services given an URL. The URL usually points to a discovery document, which typically has a.disco file name extension. Within a discovery document are references to information about the existance of XML Web services. These references can refer to service descriptions, XML Schema Definition language (XSD) schemas or other discovery documents. This class represents a reference to a Service Description.

Within a discovery document, a reference to a Service Description is contained within a contractRef XML element. The contractRef XML element has two attributes: ref and docRef. The contractRef element must have an XML namespace matching the constant, whereas the ref and docRef attributes are placed in the and properties.

Represents a reference in a discovery document to a service description.

- Constructor

  Use this constructor to create and initialize a new instance of the class using default values.

  Initializes a new instance of the class using default values.

  1.0.5000.0
  2.0.0.0
- Constructor

  Use this constructor to create and initialize a new instance of the class using the specified reference name.

  The following table shows initial property values for an instance of .

  Property

  Initial Value

  Ref

  The parameter that represents the reference name.

  Initializes a new instance of the class using the supplied reference to a Service Description.

  The URL for a Sevice Descritpion. Initializes the property value.
  1.0.5000.0
  2.0.0.0
- Constructor

  Use this constructor to create and initialize a new instance of the class using the specified reference name and docRef.

  The following table shows initial property values for an instance of .

  Property

  Initial Value

  Ref

  The parameter that represents the reference name.

  DocRef

  The parameter that represents the DocRef.

  Initializes a new instance of the class using the supplied references to a service description and a XML Web service implementing the service description.

  The URL for a service description. Initializes the property value.
  The URL for a XML Web service implementing the service description at . Initializes the property value.
  1.0.5000.0
  2.0.0.0
- Property
  System.Web.Services.Description.ServiceDescription a To be added

  Gets a object representing the service description.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlIgnore
- Property
  System.String a To be added

  Gets the name of the file to use by default when saving the referenced service description.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlIgnore
- Property
  System.String To be added: an object of type 'string'

  Within a discovery document, a reference to a Service Description is contained within a contractRef XML element. The contractRef XML element has two attributes described in the following table.

  Attribute

  Description

  ref

  The URL for the service description. The property represents the value of the ref attribute.

  docRef

  The URL for a XML Web service implementing the service description specified by the ref attribute. The property represents the value of the docRef attribute.

  Gets and sets the URL for a XML Web service implementing the service description referenced in the property.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlAttribute("docRef")
- Field
  System.String

  Within a discovery document, a reference to a Service Description is contained within a contractRef XML element, which is a part of the XML namespace specified in the constant.

  XML namespace for service description references in discovery documents.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object `` To be added

  Reads the service description from the passed and returns the service description.

  A containing the contents of the referenced service description.

  containing the service description. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  Within a discovery document, a reference to a service description is contained within a contractRef XML element. The contractRef XML element has two attributes described in the following table.

  Attribute

  Description

  ref

  The URL for the service description.The property represents the value of the ref attribute.

  docRef

  The URL for a XML Web service implementing the service description specified by the ref attribute. The property represents the value of the docRef attribute.

  Gets or sets the URL to the referenced service description.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlAttribute("ref")
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` ``

  If the MIME type is text/xml and the contents of is a Service Description, then the contents of are added to the and properties of .

  Resolves whether the the referenced document is valid.

  The MIME content type of . The containing the referenced document.
- Property
  System.String a

  For the class, the property returns the value of the property.

  Gets or sets the URL for the referenced Service Description.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlIgnore
- Method
  System.Void `` `` To be added

  Writes the passed-in service description into the passed-in .

  The to write into . The into which the serialized is written. 1.0.5000.0 2.0.0.0